<?php
/**
 * 用户列表
 * $Id: user_list.php,v 1.1 2020/2/28 11:18:46 wanggb Exp $
 * @author lixq
 * @package manager.public_html
 */
// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");



// 权限检查
if (!checkAuthority("1")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

$role = ParamUtil::getRequestString("role");

$order_key = ParamUtil::getRequestString("order_key", "id");
$sort = ParamUtil::getRequestString("sort", "ASC");
$page_num = ParamUtil::getRequestNumber("page_num", 1);
$page_row = MANAGER_DEFAULT_ROW_COUNT;
$paging_url_link = "./user_list.php";

$tmp = array("id"=>0, "title"=>"请选择");

$user_role_list = UserRole::getList();
array_unshift($user_role_list,new UserRole($tmp));
$user_list = [];
// 一览取得
$param = array();
$param["delete_flg"] = false;
if(!empty($role)){
  $param["role"] = $role;
}
//总件数
$user_count = UserMst::getListCount($param);
// 获取相应页面的数据
if ($user_count > 0) {
  $offset = ($page_num - 1) * $page_row;
  $user_list = UserMst::getList($param, $order_key, $sort, $offset, $page_row);
  $page_count = ceil($user_count / $page_row);
  $show_page_num = MANAGER_PAGING_SHOW_PAGE_COUNT;
  $page_range = PagingHandler::getPageRange($page_num, $page_count, $show_page_num);
  $page_first = $page_range[0];
  $page_end = $page_range[1];
}

// ページ
$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["right"] = "user_list.inc";
$layout_pages["menu_clicked"] = "1-4";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
exit;